[Mesh]
  file = square.e
[]

[Variables]
  [./u]
    initial_condition = 1
  [../]

  [./lm]
    order = FIRST
    family = SCALAR
  [../]
[]

[Kernels]
  [./diff]
    type = Diffusion
    variable = u
  [../]
[]

[ScalarKernels]
  [./ced]
    type = NodalEqualValueConstraint
    variable = lm
    var = u
    boundary = '123_left:abc right'
  [../]
[]

[BCs]
  [./top]
    type = DirichletBC
    variable = u
    boundary = 'top'
    value = 1
  [../]

  [./bottom]
    type = DirichletBC
    variable = u
    boundary = 'bottom'
    value = 3
  [../]
[]

[Preconditioning]
  [./fmp]
    type = SMP
    full = true
    solve_type = 'NEWTON'
  [../]
[]

[Executioner]
  type = Steady
[]

[Outputs]
  exodus = true
[]
